any23-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ANY23-419) Add J2EE depednencies such that service runs under JDK11
Date Thu, 08 Nov 2018 22:15:01 GMT

    [ https://issues.apache.org/jira/browse/ANY23-419?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16680482#comment-16680482
] 

ASF GitHub Bot commented on ANY23-419:
--------------------------------------

Github user ansell commented on the issue:

    https://github.com/apache/any23/pull/132
  
    Interesting that they went down the route of adding compile-time dependencies on the implementation,
rather than compile on the api and runtime on the implementation. 
    
    Based on fixing this in other libraries I have had success using the api artifacts in
the maven compile scope with the implementations in runtime scope. Could possibly exclude
the tika dependencies and switch to that strategy in Any23 rather than adding them all to
compile scope here.


> Add J2EE depednencies such that service runs under JDK11
> --------------------------------------------------------
>
>                 Key: ANY23-419
>                 URL: https://issues.apache.org/jira/browse/ANY23-419
>             Project: Apache Any23
>          Issue Type: Improvement
>          Components: build, service
>    Affects Versions: 2.3
>            Reporter: Lewis John McGibbney
>            Assignee: Lewis John McGibbney
>            Priority: Critical
>             Fix For: 2.3
>
>
> As JDK11 drops support for shipping with various J2EE artifacts it is necessary for us
to add them manually in service pom.xml
> PR coming up.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message